Skip to main content

Audit Logs Actions

https://api.app.wnology.io/orgs/ORG_ID/audit-logs

Below are the various requests that can be performed against the Audit Logs resource, as well as the expected parameters and the potential responses.

Get​

Returns the audit logs for the organization

Method And Url​

GET https://api.app.wnology.io/orgs/ORG_ID/audit-logs

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Organization, all.Organization.read, all.User, all.User.read, auditLogs.*, or auditLogs.get.

Request Path Components​

Path ComponentDescriptionExample
ORG_IDID associated with the organization575ed6e87ae143cd83dc4aa8

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: creationDate, responseStatus, actorNamecreationDatesortField=creationDate
sortDirectionNDirection to sort the results by. Accepted values are: asc, descdescsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
startNStart of time range for audit log querystart=1465790400000
endNEnd of time range for audit log queryend=1465790400000
auditLogFilterNFilters for the audit log query. See Audit Log Filter for more details.auditLogFilter[primaryTarget][0][type]=Dashboard&auditLogFilter[primaryTarget][1][type]=Application&auditLogFilter[primaryTarget][1][id]=575ec8687ae143cd83dc4a97&auditLogFilter[actor][0][type]=User&auditLogFilter[actor][0][id]=575ed70c7ae143cd83dc4aa9

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/orgs/ORG_ID/audit-logs

Successful Responses​

CodeTypeDescription
200Audit LogsCollection of audit logs

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if organization was not found

Schemas​

Audit Log Filter​

Schema for the filter of an audit log query

Audit Log Filter Schema​

  • ▶
    {} 4 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 5 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
              • false

            Audit Log Filter Example​

            • ▶
              {} 2 keys
              • ▶
                [] 2 items
                • ▶
                  [] 1 item

                Audit Logs​

                Schema for a collection of Audit Logs

                Audit Logs Schema​

                • ▶
                  {} 3 keys
                  • "http://json-schema.org/draft-07/schema#"
                  • "object"
                  • ▶
                    {} 8 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                              • ▶
                                {} 1 key
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys

                                Audit Logs Example​

                                • ▶
                                  {} 8 keys
                                  • ▶
                                    [] 1 item
                                    • 1
                                    • 4
                                    • 1
                                    • 0
                                    • "creationDate"
                                    • "desc"
                                    • "575ed6e87ae143cd83dc4aa8"

                                  Error​

                                  Schema for errors returned by the API

                                  Error Schema​

                                  • ▶
                                    {} 3 keys
                                    • "http://json-schema.org/draft-07/schema#"
                                    • "object"
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 1 key

                                      Error Example​

                                      • ▶
                                        {} 2 keys
                                        • "NotFound"
                                        • "Application was not found"

                                      Was this page helpful?


                                      Still looking for help? You can also search the WEGnology Forums or submit your question there.